var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { renderHook } from '@testing-library/react-hooks';
import { useConfiguration, configurationService } from './index';
describe('configuration.service', () => {
    it('useConfiguration exception', () => __awaiter(void 0, void 0, void 0, function* () {
        const { result } = renderHook(() => useConfiguration());
        expect(result.error).toEqual(Error('[useConfiguration]: configuration no initial'));
    }));
    it('useConfiguration normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const defualt = {
            whiteHosts: ['localhost'],
            publicUrl: { baseUrl: '' },
            router: {
                baseName: '/'
            }
        };
        const config = configurationService.injectConfigurations([defualt]);
        const { result } = renderHook(() => useConfiguration());
        expect(result.current).toEqual(Object.assign({ NODE_ENV: 'test', history: config.history }, defualt));
    }));
});
//# sourceMappingURL=useConfiguration.test.js.map