import compose from 'compose-function';
import invariant from 'invariant';
import DeferredSerivce from '../process';
import { isFunction, isArray } from 'friday-helpers';
export default class MiddlewareService extends DeferredSerivce {
    constructor() {
        super();
        this.middleware = [];
        this.use = (middleware) => {
            invariant(isFunction(middleware) || isArray(middleware), `[MiddlewareService use] middleware should be function or function[], but got ${typeof middleware}`);
            if (isArray(middleware)) {
                middleware.forEach((m) => {
                    this.middleware.push(m);
                });
                return;
            }
            this.middleware.push(middleware);
        };
        this.apply = (params) => {
            this.inject_finally();
            const composition = compose(...this.middleware);
            const { App } = composition(params);
            return App;
        };
        this.getMiddleware = () => {
            return this.middleware;
        };
    }
}
//# sourceMappingURL=middleware.service.js.map