var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import React from 'react';
import { render } from '@testing-library/react';
import { middlewareService, GlobalState_middleware } from './index';
describe('middleware.service', () => {
    it('getMiddleware match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const middleware = middlewareService.getMiddleware();
        expect(middleware.length).toBe(0);
    }));
    it('use functions match exception ', () => __awaiter(void 0, void 0, void 0, function* () {
        try {
            middlewareService.use({});
        }
        catch (e) {
            expect(e.message).toBe('[MiddlewareService use] middleware should be function or function[], but got object');
        }
    }));
    it('use functions match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        middlewareService.use(GlobalState_middleware({ test2: 123 }).middleware);
        const currentMiddleware = middlewareService.getMiddleware();
        expect(currentMiddleware.length).toBe(1);
    }));
    it('apply Middleware match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const App = () => React.createElement("div", null, "Hello, Jenny!");
        const configuration = {
            whiteHosts: ['127.0.0.1:3000'],
            publicUrl: {
                test: 'test'
            }
        };
        const ResultApp = middlewareService.apply({ App, configuration });
        const { container } = render(React.createElement(ResultApp, null));
        expect(container.textContent).toBe('Hello, Jenny!');
    }));
});
//# sourceMappingURL=middleware.service.test.js.map