import React from 'react';
import { createContext } from 'friday-helpers';
export default function GlobalState_middleware(initialState) {
    const { Provider: GlobalProvider, useContextProvider } = createContext(initialState);
    return {
        useGlobalContext: useContextProvider,
        middleware: ({ App, configuration }) => {
            return {
                App(props) {
                    return (React.createElement(GlobalProvider, null,
                        React.createElement(App, Object.assign({}, props))));
                },
                configuration
            };
        }
    };
}
//# sourceMappingURL=globalState.middleware.js.map