var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import React from 'react';
import RenderService from './index';
describe('router.service', () => {
    let container = null;
    beforeEach(() => {
        container = document.createElement('root');
        document.body.appendChild(container);
    });
    const renderInstance = new RenderService('root', () => React.createElement("div", null, "render service"));
    it('RenderService bootstrap match normal', () => {
        const result = renderInstance.bootstrap();
        expect(result).toBeTruthy();
    });
    it('Non microservices mount match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield renderInstance.mount({});
        expect(result).toBeNull();
    }));
    it('microservices mount match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield renderInstance.mount({ container: document });
        expect(result).toBeFalsy();
    }));
    it('Non microservices unmount match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield renderInstance.unmount({});
        expect(result).toBeTruthy();
    }));
    it('microservices unmount match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield renderInstance.unmount({ container: document });
        expect(result).toBeFalsy();
    }));
    it('microservices render match nomal ', () => {
        ;
        window.__POWERED_BY_QIANKUN__ = true;
        const result = renderInstance.render();
        expect(result).toBeFalsy();
        delete window.__POWERED_BY_QIANKUN__;
    });
    it('Non microservices render match nomal ', () => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield renderInstance.render();
        expect(result).toBeNull();
    }));
});
//# sourceMappingURL=render.service.test.js.map