import React from 'react';
import { render } from '@testing-library/react';
import { routerServiceInstance } from './index';
describe('router.service', () => {
    it('injectRouters match exception', () => {
        try {
            routerServiceInstance.injectRouters({});
        }
        catch (error) {
            expect(error.message).toBe(`[inject router] component should be function, but got object`);
        }
    });
    it('injectRouters match normal', () => {
        routerServiceInstance.injectRouters(() => React.createElement("div", null, "todo"));
        const history = routerServiceInstance.getHistory({ basename: '' });
        const Router = () => routerServiceInstance.getRouter({ history });
        const { container } = render(React.createElement(Router, null));
        expect(container.textContent).toBe('todo');
    });
});
//# sourceMappingURL=router.service.test.js.map